Please merge im-config 0.32-1 (main) from Debian unstable (main)

Bug #1720184 reported by Mitsuya Shibata on 2017-09-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
im-config (Ubuntu)
Medium
Gunnar Hjalmarsson

Bug Description

Please merge im-config 0.32-1 (main) from Debian unstable (main)

Changelogs from ubuntu package:

im-config (0.32-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * Disable uim-toolbar-gtk{,3}-systray due to outdated.
    - They are outdated, buggy and have alternatives (uim-toolbar-gtk{,3}).
  * Use uim-toolbar-qt5 instead of uim-toolbar-qt (nonexistent).
  * Wait a sec before starting uim-toolbar.
    - uim-toolbar's spawning is too faster than desktop environment's starting.

 -- Osamu Aoki <email address hidden> Wed, 27 Sep 2017 21:15:24 +0900

im-config (0.31-1) unstable; urgency=medium

  [ Osamu Aoki ]
  * Start ibus with IBUS_ENABLE_SYNC_MODE=0. Closes: #812826, #838318, #876794
  * Add Czech language strings to the desktop file. Closes: #868036
  * im-config -l doesn't need GUI. Closes: #804067
  * Update PO with trivial unfuzzy.

  [ Boyuan Yang ]
  * Refresh debian/copyright file as machine-readable format.

 -- Osamu Aoki <email address hidden> Tue, 26 Sep 2017 22:41:36 +0900

im-config (0.30-1) unstable; urgency=medium

  * New upstream release acknowledging all NMU patches.

 -- Osamu Aoki <email address hidden> Wed, 07 Dec 2016 22:00:16 +0900

Mitsuya Shibata (cosmos-door) wrote :

NOTE:
"IBUS_ENABLE_SYNC_MODE=0" will be fix on Korean and xim problems.
However this fix will be cause with Java application.
Please refer: https://github.com/ibus/ibus/issues/1847#issuecomment-205230677

The attachment "sample debdiff" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
tags: removed: patch
Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks for your report; I have uploaded a merge.

When testing it I stumbled upon the problem in bug #1720250.

As regards "IBUS_ENABLE_SYNC_MODE=0", how serious do you consider the issue you mention to be?

Changed in im-config (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → Fix Committed
Mitsuya Shibata (cosmos-door) wrote :

> As regards "IBUS_ENABLE_SYNC_MODE=0", how serious do you consider the issue

Sorry, I don,t know how serious.
At least, my environment is no problem.

As following link, Android Studio users are use "IBUS_ENABLE_SYNC_MODE=1" to avoid IBus+Java problem.
However it seems that it will be fixed IBus 1.5.11 and lator.

https://askubuntu.com/questions/746119/upgrade-ibus-or-export-ibus-enable-sync-mode-1-to-fix-intellij-android-studio

IBUS_ENABULE_SYNC_MODE=0 means that ibus uses async process keyevent API.
I worry that this change will be acceptable final freeze exception.

Gunnar Hjalmarsson (gunnarhj) wrote :

Final freeze is only on October 12. This merge is about bug fixes, not new features, so my belief is that it's not affected by any freeze.

Currently in the artful queue:
https://launchpad.net/ubuntu/artful/+queue?queue_state=1

Mitsuya Shibata (cosmos-door) wrote :

I see. Thank you for uploading!

Jeremy Bicha (jbicha) wrote :

Since this has been uploaded (although still waiting for manual approval), I am unsubscribing ubuntu-sponsors. Feel free to re-subscribe if you have something else that needs sponsoring.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package im-config - 0.32-1ubuntu1

---------------
im-config (0.32-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable (LP: #1720184), remaining changes:
    - d/im-config.user-session.upstart, d/im-config.links, d/rules:
      - Install upstart user session job.
    - d/user/im-config.override, d/user/im-config.service, d/rules:
      - Install systemd user session job.
    - debian/menu
    - debian/patches/01-ubuntu-default-mode.patch
    - debian/patches/use-distinguishable-abstract-address.patch
  * debian/patches/use-distinguishable-abstract-address.patch:
    - Refreshed.
  * debian/patches/03-not-always-require-zenity.patch:
    - Dropped; applied upstream.

 -- Gunnar Hjalmarsson <email address hidden> Fri, 29 Sep 2017 00:13:00 +0200

Changed in im-config (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.